Debit-Cancel
- Endpoint:
POST /v1.0/debit/cancel - Tags: Indonesia SNAP
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | Content type, value always application/json | |
X-TIMESTAMP | header | string | Yes | Transaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
X-SIGNATURE | header | string | Yes | Signature need to be generated with symmetricSignature or asymmetricSignature method | |
ORIGIN | header | string | No | Origin domain | |
X-PARTNER-ID | header | string | Yes | Unique identifier for partner was generated by Payermax, or known as clientId | |
X-EXTERNAL-ID | header | string | Yes | Unique messaging reference identifier generated by merchant and should be unique within the same day | |
CHANNEL-ID | header | string | Yes | Device identification on which the API services is currently being accessed by the end user (customer) | |
sign | header | string | Yes | 签名信息请参考技术文档 |
Parameter Examples
Content-Type:"application/json"X-TIMESTAMP:""X-SIGNATURE:""ORIGIN:""X-PARTNER-ID:""X-EXTERNAL-ID:""CHANNEL-ID:""sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
originalPartnerReferenceNo | string | Yes | maxLength: 64 | Original transaction identifier on partner system | |
originalReferenceNo | string | No | maxLength: 64 | Original transaction identifier on Payermax system | |
originalExternalId | string | No | maxLength: 36 | Original external identifier on header message | |
merchantId | string | No | maxLength: 32 | Merchant identifier that is unique per each merchant | |
subMerchantId | string | No | maxLength: 32 | Information of sub merchant identifier | |
reason | string | No | maxLength: 256 | Cancellation reason | |
externalStoreId | string | No | maxLength: 64 | Store identifier to indicate to which store this payment belongs to | |
amount | object | No | Amount. Contains two sub-fields: Value: Transaction amount, including the cents Currency: Currency code based on ISO | ||
amount.value | number | Yes | |||
amount.currency | string | Yes | |||
additionalInfo | object | Yes | Additional information | ||
additionalInfo.version | string | Yes | maxLength: 8 | API version. Current value: 1.4 | |
additionalInfo.keyVersion | string | Yes | maxLength: 8 | Signature Algorithm Version, Current value: 1 |
Example
json
{
"originalPartnerReferenceNo": "20240302141539079100054",
"originalReferenceNo": "",
"approvalCode": "",
"originalExternalId": "",
"merchantId": "P05010114269706",
"subMerchantId": "",
"reason": "Network timeout",
"externalStoreId": "",
"amount": {
"value": "100000.00",
"currency": "IDR"
},
"additionalInfo": {
"version": "1.4"
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
responseCode | string | Yes | maxLength: 7 | response code | |
responseMessage | string | Yes | maxLength: 150 | response msg | |
originalPartnerReferenceNo | string | Yes | maxLength: 64 | Original transaction identifier on service consumer system | |
cancelTime | string | No | maxLength: 25 | Cancellation date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
originalReferenceNo | string | No | maxLength: 64 | Original transaction identifier on Payermax system | |
originalExternalId | string | No | maxLength: 32 | Original External-ID on header message | |
transactionDate | string | No | maxLength: 25 | Transaction date, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
additionalInfo | object | Yes | Additional information | ||
additionalInfo.latestTransactionStatus | string | Yes | maxLength: 2 | Category code for the status of the transaction. The values include: 00 = Success, the order has been successfully in final state and paid 03 = Pending, the order is in process, not in final state, payment is success 05 = Cancelled, the order has been closed 06 = Failed, the order has been failed |
Response Example
json
{
"responseCode": "2005700",
"responseMessage": "Request has been processed successfully",
"originalPartnerReferenceNo": "2020102900000000000001",
"originalReferenceNo": "2020102977770000000009",
"originalExternalId": "30443786930722726463280097920912",
"cancelTime": "2020-12-21T17:07:25+07:00",
"transactionDate": "2020-12-21T17:55:11+07:00",
"additionalInfo": {
"latestTransactionStatus": "00"
}
}